Bug 804036 - Installation date+time for package have missing time component with PostgreSQL backend
Installation date+time for package have missing time component with PostgreSQ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
550
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Pazdziora
Matej Kollar
:
Depends On:
Blocks: sat550-blockers
  Show dependency treegraph
 
Reported: 2012-03-16 07:34 EDT by Matej Kollar
Modified: 2015-07-26 18:20 EDT (History)
3 users (show)

See Also:
Fixed In Version: spacewalk-backend-1.7.38-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-21 05:21:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matej Kollar 2012-03-16 07:34:51 EDT
Description of problem:

  Installation time+date information for packages is always displayed
  like it were installed at 12:00:00 AM.

Version-Release number of selected component (if applicable):

  Spacewalk 1.7
  (reproduced also on nightly)

How reproducible: always/deterministic

Steps to Reproduce:

  1. Register client
  2. Install package (either with yum or other way and thed rhn-profile-sync)
  3. Go to "Software -> Packages -> List / Remove" in system
  
Actual results:

  All packages show time 12:00:00 AM (correct date though).

Expected results:

  Real time of installation is shown.
Comment 1 Jan Pazdziora 2012-03-16 12:39:49 EDT
Fixed in Spacewalk master, 2dca8e92f7066b4391b4dd2b5985cbbd1cddbaea.
Comment 4 Matej Kollar 2012-06-08 08:16:59 EDT
I have verified that with spacewalk-backend-1.7.38-17 times are displayed (and from that I assume stored too) correctly.
Comment 6 Clifford Perry 2012-09-21 05:21:22 EDT
This issue is resolved with the release of RHN Satellite 5.5. 

As of September 20th 2012, RHN Satellite 5.5 has been generally available. 

Release Notes and other 5.5 documentation can be found here:

 https://access.redhat.com/knowledge/docs/Red_Hat_Network_Satellite/

The associated Errata for the 5.5 release are:

5.5 Satellite GA Errata
 - http://rhn.redhat.com/errata/RHEA-2012-1296.html

5.5 Upgrade Errata
 - http://rhn.redhat.com/errata/RHEA-2012-1298.html

5.5 RHN Proxy GA Errata
 - http://rhn.redhat.com/errata/RHEA-2012-1297.html

5.5 RHN Tools GA Errata
 - http://rhn.redhat.com/errata/RHEA-2012-1299.html

Regards,
Clifford
- Engineering Manager, Satellite

Note You need to log in before you can comment on or make changes to this bug.